Runtime

## org.eclipse.gmf.runtime.notation
Interface LineTypeStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  LineTypeStyleImpl

    public interface LineTypeStyle

extends Style

A representation of the model object 'Line Type Style'.

The following features are supported:

- `Line Type`

See Also:
  `NotationPackage.getLineTypeStyle()`
** Generated **
Model:

Method Summary
`LineType` `getLineType()` Returns the value of the 'Line Type' attribute.
`void` `setLineType(LineType value)` Sets the value of the '`Line Type`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLineType

    LineType getLineType()

  Returns the value of the 'Line Type' attribute. The default value is `"Solid"`. The literals are from the enumeration `LineType`.

  If the meaning of the 'Line Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Type' attribute.
  See Also:
    `LineType`, `setLineType(LineType)`, `NotationPackage.getLineTypeStyle_LineType()`
  ** Generated **
  Model:
    default="Solid"

### setLineType

    void setLineType(LineType value)

  Sets the value of the '`Line Type`' attribute.

  Parameters:
    `value` - the new value of the 'Line Type' attribute.
  See Also:
    `LineType`, `getLineType()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.